Bug 1360135 (CVE-2016-5410) - CVE-2016-5410 firewalld: Firewall configuration can be modified by any logged in user
Summary: CVE-2016-5410 firewalld: Firewall configuration can be modified by any logged...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5410
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359296 1367381
Blocks: 1323912 1360139
TreeView+ depends on / blocked
 
Reported: 2016-07-26 06:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:53 UTC (History)
6 users (show)

Fixed In Version: firewalld 0.4.3.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way firewalld allowed certain firewall configurations to be modified by unauthenticated users. Any locally logged in user could use this flaw to tamper or change firewall settings.
Clone Of:
Environment:
Last Closed: 2016-11-06 04:28:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2597 normal SHIPPED_LIVE Moderate: firewalld security, bug fix, and enhancement update 2016-11-03 12:11:47 UTC

Description Huzaifa S. Sidhpurwala 2016-07-26 06:04:34 UTC
FirewallD provides dbus api for modification of configuration after user has been authenticated via polkit. This does not apply for 5 methods which can be called by any logged user using dbus api or firewall-cmd cli interface. Any predefined policy can be used, server or desktop.

list of concerned dbus methods in firewalld.py
addPassthrough
removePassthrough
addEntry
removeEntry
setEntries

Any locally logged in user, could use the above firewalld commands to tamper or change the firewall settings.

This flaw was introduced via the following commit:
https://github.com/t-woerner/firewalld/commit/6b9867cd5c5e2c83adeec42666521a420e59ef11

It affects all firewalld versions since 0.3.12

Comment 1 Huzaifa S. Sidhpurwala 2016-08-16 10:10:41 UTC
Created firewalld tracking bugs for this issue:

Affects: fedora-all [bug 1367381]

Comment 2 Huzaifa S. Sidhpurwala 2016-08-16 10:19:29 UTC
Public via:

http://seclists.org/oss-sec/2016/q3/291

Comment 3 Huzaifa S. Sidhpurwala 2016-08-17 03:17:19 UTC
This issue was fixed in firewalld-0.4.3.3 release:

http://www.firewalld.org/2016/08/firewalld-0-4-3-3-release/

Comment 8 errata-xmlrpc 2016-11-03 21:03:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2597 https://rhn.redhat.com/errata/RHSA-2016-2597.html


Note You need to log in before you can comment on or make changes to this bug.